<?
require('conexion.php');

header('Content-Type: text/xml');//le digo al browser que es un documento xml
echo '<?xml version="1.0" encoding="iso-8859-1" standalone="no"?>';//le coloco la version de xml y a codificacion



$cod_coche = $_GET['cod_coche'];
$idioma = $_GET['idioma'];



$sql="SELECT * FROM vehiculo1 WHERE CODIINT='$cod_coche'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
//print odbc_result_all($result,"border=1");

echo '<datos>';

while ($row = odbc_fetch_array($result)) {
	
	//echo $row['CODIGO'].' - '.$row['NOMBRE'].'<br />';
	echo '<dato>';
	
	//el id del nombre
	$id_nombre = $row['ID_NOM'];
	$rsql = "SELECT * FROM IDIOMA_TRADUCCION WHERE IDIOMA='$idioma' AND ID_REG='$id_nombre'";
	$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
	while ($fila = odbc_fetch_array($results)) {
		echo '<titulo>'.$fila['TRADUCCION'].'</titulo>';
	}
	
	//id del texto
	$id_texto = $row['ID_DES'];
	$rsql = "SELECT * FROM IDIOMA_TRADUCCION WHERE IDIOMA='$idioma' AND ID_REG='$id_texto'";
	$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
	while ($fila = odbc_fetch_array($results)) {
		echo '<texto><![CDATA['.$fila['TRADUCCION'].']]></texto>';
	}
	
	echo '</dato>';
	
}

echo '</datos>';

?>